---
title:
  Join us for OpenTelemetry Talks and Activities at KubeCon + CloudNativeCon
  Japan 2025
linkTitle: KubeCon Japan '25
date: 2025-05-29
author: '[Tiffany Hrabusa](https://github.com/tiffany76) (Grafana Labs)'
# prettier-ignore
cSpell:ignore: Baazi Chauhan Hrabusa Kang Kasper Mostafa Nissen Radwan Shivay Siddharth Vijay
---

The OpenTelemetry project invites you to join members of the OpenTelemetry
community at [KubeCon + CloudNativeCon Japan][] ([registration][]) and at the
co-located [Community Day][] in Tokyo from June 15 to 17, 2025.

This post covers all currently scheduled activities related to OpenTelemetry
that are happening during KubeCon. Check back for updates before the start of
the conference!

## Community Day

Taking place on June 15, this **free** event offers a chance to engage with the
cloud native community before the main conference begins.

[Community Day][] will bring together attendees of KubeCon + CloudNativeCon
Japan and members of various local meetup communities, Special Interest Groups
(SIGs) and subgroups within Cloud Native Community Japan to foster
collaboration, learning, and contribution to the cloud native ecosystem. The
event is structured to offer multiple tracks with multiple themes, each
targeting a different aspect of cloud native development and community
involvement. Register today!

## KubeCon talks

- **[⚡ Lightning Talk: OTel 2025: The Latest Milestones and What’s Next](https://sched.co/1yFEh)**<br>
  by Steve Flanders, Contributor<br> Tuesday, June 17 • 11:51 - 11:56
- **[Full Lifecycle API Management in Kubernetes With Envoy and WebAssembly](https://sched.co/1x71a)**<br>
  by Brandon Kang, Akamai Technologies & Mostafa Radwan, Datadog<br> Tuesday,
  June 17 • 14:10 - 14:40
- **[Navigating Millions of Kafka Events in Real Time With OTel](https://sched.co/1x71d)**<br>
  by Siddharth Vijay, Baazi Games & Shivay Lamba, Couchbase<br> Tuesday, June 17
  • 14:10 -14:40
- **[Debugging OpenTelemetry: Ensuring Your Observability Signals Are Spot On](https://sched.co/1x71m)**<br>
  by Kasper Borg Nissen, Dash0 <br> Tuesday, June 17 • 14:50 - 15:20
- **[Green OpenTelemetry: Have Your Cake and Eat It Too](https://sched.co/1x71L)**<br>
  by Adriana Villela, Dynatrace & Nancy Chauhan, Student<br> Tuesday, June 17 •
  14:50 - 15:20
- **[The Future of Prometheus Exposition Format](https://sched.co/1x71U)**<br>
  by Arthur Sens, Grafana Labs<br> Tuesday, June 17 • 15:50 - 16:20

## Join us

Come listen, learn, and get involved in OpenTelemetry. See you in Tokyo!

[KubeCon + CloudNativeCon Japan]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-japan//?utm_source=opentelemetry&utm_medium=all&utm_campaign=KubeCon-Japan-2025&utm_content=blog
[registration]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-japan/register/?utm_source=opentelemetry&utm_medium=all&utm_campaign=KubeCon-Japan-2025
[Community Day]:
  https://community.cncf.io/events/details/cncf-cloud-native-community-japan-presents-japan-community-day-at-kubecon-cloudnativecon-japan-2025/
